#include "Editor.h"

AnimalEditor::AnimalEditor() {
	CtrlLayout(*this);
	
	FillDropDown(drpTile);
	FillDropDown(drpTileF);
	FillDropDown(drpTileMC);	
	FillDropDown(drpTileFC);	
	
	arr.HeaderObject().Absolute();
	arr.AddColumn("M:Tile").SetDisplay(Single<TileDisplay>()).Edit(drpTile);
	arr.AddColumn("M:Name").Edit(edtName);
	arr.AddColumn("M:Plural").Edit(edtPlural);
	arr.AddColumn("F:Tile").SetDisplay(Single<TileDisplay>()).Edit(drpTileF);
	arr.AddColumn("F:Name").Edit(edtNameF);
	arr.AddColumn("F:Plural").Edit(edtPluralF);
	arr.AddColumn("MC:Tile").SetDisplay(Single<TileDisplay>()).Edit(drpTileMC);
	arr.AddColumn("MC:Name").Edit(edtChild);
	arr.AddColumn("MC:Plural").Edit(edtChildP);
	arr.AddColumn("FC:Tile").SetDisplay(Single<TileDisplay>()).Edit(drpTileFC);
	arr.AddColumn("FC:Name").Edit(edtChildF);
	arr.AddColumn("FC:Plural").Edit(edtChildPF);
	arr.AddColumn("Value").Edit(edtValue);
	arr.AddColumn("Wet").Ctrls(CreateOption);
	arr.AddColumn("Dry").Ctrls(CreateOption);
	arr.AddColumn("Good").Ctrls(CreateOption);
	arr.AddColumn("Evil").Ctrls(CreateOption);
	arr.AddColumn("Benign").Ctrls(CreateOption);
	arr.AddColumn("Savage").Ctrls(CreateOption);
	arr.AddColumn("Avail").Ctrls(CreateOption);
	arr.ColumnWidths("90 80 80 90 80 80 90 80 80 90 80 80 70 40 40 40 40 40 40 40");
	OnLoad();
}

void AnimalEditor::OnLoad() {
	arr.Add(0, "a", "a", 
			1, "a", "a",
			2, "a", "a", 
			3, "a", "a",
			true, true, true,
			true, true, true, true, true);
}
